REBOL [
    Title: " VelVet 2008  -  v.1.0.2.4  -  by VelVetine   -+-  http://velvet2k8.weebly.com  -  a Grainouilles tool"
    Date: 24 mars 2008
    Version: 1.0.2.4
    File: %velvet2008e.r
    Author: "VelVetine aka Del_Armg0 aka mluin aka Larynda Nedylene aka MALi"
    Owner: "VelVetine - http://velvet2k8.weebly.com"
    Rights: "Copyright (C) VelVetine 2008"
    Purpose: {view.exe -w -i -q -s -v velvet2008.r}
	]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; START
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


VelVet2008: layout [

	size 780x590
	backcolor silver


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 5x5      variet: field "Strain Name / Cross" 396x24 ivory

	at 25x40    h3 "Sativa :" 172x22
	at 139x40   h3 "Indica :" 172x22
	at 85x35    sativ: field "%" 44x24 ivory 
	at 195x35   indic: field "%" 44x24 ivory 
	at 285x40   h4 "Ruderalis" 63x19
	at 270x40   ruder: check effect [] ivory

	at 430x50   sexe: choice "Sex" "female" "male" "hermap." "female - fem. seeds" "male ! - fem. seeds" "hermap. - fem. seeds." 150x17 base-color bold
	at 605x45   tt "Tendency to hermaphrodisme" 156x42
	at 585x50   hermap: check effect [] base-color


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 160x90   fichper: field "File-f.png" 98x20 silver
	at 160x110  fichmer: field "File-m.png" 98x20 silver
	at 260x90   infoper: field "Strain name/crossing/breeder" 335x20 silver
	at 260x110  infomer: field "Strain name/crossing/breeder" 335x20 silver


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 635x90   button "associate a picture" [
							system/options/binary-base: 64
							if error? try [imag00: to-file request-file/only
							data00: read/binary imag00

							;imag01: compress to-string data00

							] [] 
								] 135x20 sky effect [gradient 0x1 gray sky] bold


	at 635x110  button "see the picture"  [

							;if error? try [imag02: to-binary decompress imag01]
							;	[
							;system/options/binary-base: 64
							;imag00: to-file request-file/only
							;
							;data00: read/binary imag00
							;imag01: compress to-string data00
							;imag02: to-binary decompress imag01
							;	]
							;imag02: any [attempt [to-binary decompress imag01] "0000"]
							;imag02: any [attempt [to-binary data00] "0000"]
							;picture: load imag02

							picture: any [attempt [load data00] " "]

							view Layout [
								image picture 
								at 2x2 button "<<  back" 64x22 red effect [gradient 0x1 white red] bold [view VelVet2008]
									] 

						 	] 135x20 sky effect [gradient 0x1 gray sky] bold


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 5x140    breedorig: field "Breeder - origin" 171x24 tan
	at 180x140  breedyear: field "year" 70x24 tan 
	at 250x140  breedcross: field "Crossing" 380x24 tan
	at 5x165    selectionn: field "Selector" 171x24 tan
	at 180x165  selectyear: field "year" 70x24 tan 
	at 285x165  cultivat: field "Grower" 114x24 tan
	at 560x165  cultidate: field "date" 70x24 tan 
	at 400x165  cultiprov: field "From" 158x24 tan
	at 633x139  cultidiv: area "Misc. :" 138x50 tan


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 6x200    indoo: check effect [] 205.245.254
	at 6x230    outdoo: check effect [] 235.254.205
	at 25x200   h4 "Indoor" 63x19 
	at 25x230   h4 "Outdoor" 63x19 
	at 85x200   dureeflo: field "Flowering period in weeks" 192x24 205.245.254 
	at 279x200  coultric: field "Colors of trichomes" 259x24 205.245.254  
	at 172x225  debutflo: field "Start date of flowering" 136x24 245.254.205
	at 310x225  recolte: field "Outdoor harvesting period" 153x24 245.254.205
	at 465x225  latitud: field "latitude" 73x24 245.254.205 
	at 540x200  adaptin: choice "Suitable for indoor ?" "very good" "good" "medium" "not suitable" 136x24 44.80.132 effect [gradient 0x1 66.120.192 base-color] bold
	at 540x225  adaptout: choice "Suitable for outdoor ?" "very good" "good" "medium" "not suitable" 137x24 44.80.132 effect [gradient 0x1 base-color 66.120.192] bold
	at 83x230   siserre: check effect [] 245.254.205
	at 96x230  txt "greenhouse" 72x19
	at 683x205  simoisi: check effect [] base-color
	at 370x254  txt 54x39
	at 702x200  tt "Mold" 75x49
	at 702x214  tt "resistance " 75x49
	at 255x165  image 25x25 [if error? try [view layout [image load http://img201.imageshack.us/img201/6523/vu66hl5.jpg
					at 2x2 button "<<  back" 64x22 red effect [gradient 0x1 white red] bold [view VelVet2008]
					]] [] ]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
  

	at 5x265    typecult: field "Type of grow" 385x24 snow
	at 390x265  typeclair: field "Type of lights" 385x24 snow
 	at 5x295    substrat: field "Substrate or mixture" 280x24 snow
 	at 290x295  engrais: field "Fertilizer/additives used" 280x24 snow
 	at 570x295  engrmore: field "  " 205x24 snow


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 5x335    structpl: area "Plante structure :" 180x166 linen 
	at 190x335  remarqinfo: area "Comments and informations :" 415x166 linen
	at 610x335  smoket: area "Smoke report / high :^/smell/taste/ effect" 165x166 linen


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 5x514    tt "Phenotype :"
	at 95x512   phen1: choice "Stalk" "big stalk" "short stalk" 108 104.140.182 bold
	at 210x512  phen2: choice "Calyxes" "green calyxes" "purple calyxes" 108 104.140.182 bold
	at 325x512  phen3: choice "Leaves" "green leaves" "purple leaves" 108 104.140.182 bold
	at 440x512  phen4: choice "Maturation" "late" "early" 108 104.140.182 bold
	at 555x512  phen5: choice "Thc" "thc high" "thc low" 108 104.140.182 bold
	at 670x512  phen6: choice "Seeds" "big seeds" "little seeds" 108 104.140.182 bold


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 425x5    button "Save" [

			fich0: request-text/title "File Name ?"
			;; fich00: join "%" fich0
			fich000: join fich0 ".str"
			fich0000: trim/all fich000

	if exists? to-file fich0000 [delete to-file fich0000]

	fp: open/lines to-file fich0000

dataima: any [attempt
[imag010: mold/all data00] imag010: " " ]
imag0101: replace/all imag010 "^/" "_-_"
insert fp to-string imag0101

insert fp variet/text
insert fp sativ/text
insert fp indic/text
insert fp to-string ruder/data
insert fp sexe/text
insert fp to-string hermap/data

insert fp fichper/text
insert fp fichmer/text
insert fp infoper/text
insert fp infomer/text

insert fp breedorig/text
insert fp breedyear/text
insert fp breedcross/text
insert fp selectionn/text
insert fp selectyear/text
insert fp cultivat/text
insert fp cultidate/text
insert fp cultiprov/text

cultidivv: cultidiv/text
replace/all cultidivv "^/" "_-_"
insert fp cultidivv

insert fp to-string indoo/data
insert fp to-string outdoo/data
insert fp dureeflo/text
insert fp coultric/text
insert fp debutflo/text
insert fp recolte/text
insert fp latitud/text
insert fp adaptin/text
insert fp adaptout/text
insert fp to-string siserre/data
insert fp to-string simoisi/data
  
insert fp typecult/text
insert fp typeclair/text
insert fp substrat/text
insert fp engrais/text
insert fp engrmore/text

structpll: structpl/text
replace/all structpll "^/" "_-_"
insert fp structpll

remarqinfoo: remarqinfo/text
replace/all remarqinfoo "^/" "_-_"
insert fp remarqinfoo

smokett: smoket/text
replace/all smokett "^/" "_-_"
insert fp smokett

insert fp phen1/text
insert fp phen2/text
insert fp phen3/text
insert fp phen4/text
insert fp phen5/text
insert fp phen6/text

close fp

		] 44.80.132 effect [gradient 0x1 66.120.192 44.80.132] bold


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 540x5    button "Open" [

			fich1: to-file request-file/only

	if error? try [
fich11x: read/lines fich1
imag0202: to-string fich11x/45
imag020: replace/all imag0202 "_-_" "^/"
imag02f: load imag020
data00: to-binary imag02f
] []

	if error? try [
fich11: read/lines fich1

variet/text: to-string fich11/44
show variet

sativ/text: to-string fich11/43
show sativ

indic/text: to-string fich11/42
show indic

ruder/data: to-string fich11/41
replace/all ruder/data "none" "false"
if find ruder/data "false" [ruder/data: false]
show ruder

sexe/text: to-string fich11/40
show sexe

hermap/data: to-string fich11/39
replace/all hermap/data "none" "false"
if find hermap/data "false" [hermap/data: false]
show hermap

fichper/text: to-string fich11/38
show fichper

fichmer/text: to-string fich11/37
show fichmer

infoper/text: to-string fich11/36
show infoper

infomer/text: to-string fich11/35
show infomer

breedorig/text: to-string fich11/34
show breedorig

breedyear/text: to-string fich11/33
show breedyear

breedcross/text: to-string fich11/32
show breedcross

selectionn/text: to-string fich11/31
show selectionn

selectyear/text: to-string fich11/30
show selectyear

cultivat/text: to-string fich11/29
show cultivat

cultidate/text: to-string fich11/28
show cultidate

cultiprov/text: to-string fich11/27
show cultiprov

cultidiv/text: to-string fich11/26
replace/all cultidiv/text "_-_" "^/"
show cultidiv

indoo/data: to-string fich11/25
replace/all indoo/data "none" "false"
if find indoo/data "false" [indoo/data: false]
show indoo

outdoo/data: to-string fich11/24
replace/all outdoo/data "none" "false"
if find outdoo/data "false" [outdoo/data: false]
show outdoo

dureeflo/text: to-string fich11/23
show dureeflo

coultric/text: to-string fich11/22
show coultric

debutflo/text: to-string fich11/21
show debutflo

recolte/text: to-string fich11/20
show recolte

latitud/text: to-string fich11/19
show latitud

adaptin/text: to-string fich11/18
show adaptin

adaptout/text: to-string fich11/17
show adaptout

siserre/data: to-string fich11/16
replace/all siserre/data "none" "false"
if find siserre/data "false" [siserre/data: false]
show siserre

simoisi/data: to-string fich11/15
replace/all simoisi/data "none" "false"
if find simoisi/data "false" [simoisi/data: false]
show simoisi

typecult/text: to-string fich11/14
show typecult

typeclair/text: to-string fich11/13
show typeclair

substrat/text: to-string fich11/12
show substrat

engrais/text: to-string fich11/11
show engrais

engrmore/text: to-string fich11/10
show engrmore

structpl/text: to-string fich11/9
replace/all structpl/text "_-_" "^/"
show structpl

remarqinfo/text: to-string fich11/8
replace/all remarqinfo/text "_-_" "^/"
show remarqinfo

smoket/text: to-string fich11/7
replace/all smoket/text "_-_" "^/"
show smoket

phen1/text: to-string fich11/6
show phen1

phen2/text: to-string fich11/5
show phen2

phen3/text: to-string fich11/4
show phen3

phen4/text: to-string fich11/3
show phen4

phen5/text: to-string fich11/2
show phen5

phen6/text: to-string fich11/1
show phen6

] []

		] 44.80.132 effect [gradient 0x1 66.120.192 44.80.132] bold


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 

;{
;	at 655x5    button "Crer" [
;
;imag00: " "
;imag01: " "
;imag02: " "
;data00: " "					
;fich0000: " "
;
;variet/text: ""
;show variet
;
;sativ/text: "%"
;show sativ
;
;indic/text: "%"
;show indic
;
;ruder/data: false
;show ruder
;
;sexe/text: "Sexe"
;show sexe
;
;hermap/data: false
;show hermap
;
;fichper/text: "Fiche-p.png"
;show fichper
;
;fichmer/text: "Fiche-m.png"
;show fichmer
;
;infoper/text: "Nom de varit/croisement/breeder"
;show infoper
;
;infomer/text: "Nom de varit/croisement/breeder"
;show infomer
;
;breedorig/text: "Breeder d'origine"
;show breedorig
;
;breedyear/text: "anne"
;show breedyear
;
;breedcross/text: "Croisement"
;show breedcross
;
;selectionn/text: "Slectionneur"
;show selectionn
;
;selectyear/text: "anne"
;show selectyear
;
;cultivat/text: "Cultivateur"
;show cultivat
;
;cultidate/text: "date"
;show cultidate
;
;cultiprov/text: "Provenance"
;show cultiprov
;
;cultidiv/text: "Divers :"
;show cultidiv
;
;indoo/data: false
;show indoo
;
;outdoo/data: false
;show outdoo
;
;dureeflo/text: "dure de floraison en semaines"
;show dureeflo
;
;coultric/text: "couleurs des trichomes"
;show coultric
;
;debutflo/text: "date de dbut de floraison"
;show debutflo
;
;recolte/text: "date de rcolte outdoor"
;show recolte
;
;latitud/text: "latitude"
;show latitud
;
;adaptin/text: "adapt  l'indoor ?"
;show adaptin
;
;adaptout/text: "adapt  l'outdoor ?"
;show adaptout
;
;siserre/data: false
;show siserre
;
;simoisi/data: false
;show simoisi
;
;typecult/text: "Type de culture"
;show typecult
;
;typeclair/text: "Type d'clairage"
;show typeclair
;
;substrat/text: "Substrat ou mlange"
;show substrat
;
;engrais/text: "Engrais/additifs utiliss"
;show engrais
;
;engrmore/text: ""
;show engrmore
;
;structpl/text: "Structure de la plante :"
;show structpl
;
;remarqinfo/text: "Remarques et informations :"
;show remarqinfo
;
;smoket/text: "Smoke report / high :^/odeur/gout/effet"
;show smoket
;
;phen1/text: "Tige"
;show phen1
;
;phen2/text: "Calices"
;show phen2
;
;phen3/text: "Feuilles"
;show phen3
;
;phen4/text: "Maturation"
;show phen4
;
;phen5/text: "Thc"
;show phen5
;
;phen6/text: "Graines"
;show phen6
;
;		] 44.80.132 effect [gradient 0x1 66.120.192 44.80.132] bold
;}

; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


		at 5x90     button "see father file" 152x18 44.80.132 effect [gradient 0x1 gray gray] bold
				[ fichp: to-file fichper/text
				if error? try [
					picturep: load fichp
					view Layout [
					image picturep 
					at 2x2 button "<<" 30x20 oldrab effect [gradient 0x1 white oldrab] bold [view VelVet2008]
							] ] []
				]


		at 5x110    button "see mother file" 152x18 44.80.132 effect [gradient 0x1 gray gray] bold
				[ fichm: to-file fichmer/text
				if error? try [
					picturem: load fichm
					view Layout [
					image picturem 
					at 2x2 button "<<" 30x20 oldrab effect [gradient 0x1 white oldrab] bold [view VelVet2008]
							] ] []								
				]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 5x557    button "Send strain by mail" 184x22 maroon effect [gradient 0x1 tan maroon] bold
			[alert "Function not implemented actually :) - Just send by mail the needed .str file(s)"]
	;
	;		[
	;		To1: request-text " quelle adresse email ?"
	;		From1: request-text "votre email ?"
	;		Subject1: request-text "sujet du message ?"
	;		Smtpc1: request-text "via quel serveur smtp ? (exemple: smtp..fr)"
	;			[
	;		header: make system/standard/email [
	;		To: To1
	;		From: From1
	;		Reply-To: From
	;		Subject: Subject1
	;		Organization: "VelVet 2008 Mail System"
	;		Smtpc: Smtpc1
   	;		MIME-Version: 1.0 
    	;		Content-Type: "text/plain" ]
	;			    ]
	;
	;	set-net [From Smtpc]
	;	Msg: "VelVet 2008 Mail System - fiche de varit reue !"
	;	filesm: fich0000
	;	send/header/attach To Msg header filesm
	;		]
	;


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 200x557  button "Export the strain in .png" 184x22 maroon effect [gradient 0x1 tan maroon] bold
			[
			imagexp: request-text/title "Picture File Name ?"
			imagexp: join imagexp ".png"
			imagexp0: trim/all imagexp
			imvar: to-file imagexp0
			save/png imvar to-image VelVet2008
			curDir: what-dir
			curDir0: join "Picture has been saved in : " curDir
			alert to-string Curdir0 ]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	at 390x559  button "Darwin Seeds" 125x19 coffee effect [gradient 0x1 coffee pewter] bold
			[browse "http://www.bluehemp.ch/112073/index.html"]

	at 520x559  button "BlueHemp Seeds" 125x19 coffee effect [gradient 0x1 coffee pewter] bold
			[browse "http://www.bluehemp.ch/4803/index.html"]

	at 650x559  button "Sensi Seeds" 125x19 coffee effect [gradient 0x1 coffee pewter] bold
			[browse "http://www.sensiseeds.com/refer.asp?refid={3E89F88B-D38B-4F14-BE66-56B8A6563B17}"]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


	;at 700x557  button "Quit" 70x22 oldrab effect [gradient 0x1 black oldrab] bold
	;		[quit]


; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 

	]

; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 


    view VelVet2008 

; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
; ; END START
; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; ; 
